Upstream information

CVE-2013-1762 at MITRE

Description

stunnel 4.21 through 4.54, when CONNECT protocol negotiation and NTLM authentication are enabled, does not correctly perform integer conversion, which allows remote proxy servers to execute arbitrary code via a crafted request that triggers a buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.6
Vector AV:N/AC:H/Au:N/C:P/I:P/A:C
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Complete
SUSE Bugzilla entries: 807440 [RESOLVED / FIXED], 807450 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • stunnel >= 5.44-1.29
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA stunnel
SUSE Linux Enterprise Server 11 SP2
  • stunnel >= 4.36-0.12.1
Patchnames:
slessp2-stunnel
SUSE Linux Enterprise Server 11 SP3
  • stunnel >= 4.54-0.9.24
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA stunnel
SUSE Linux Enterprise Server 11 SP4
  • stunnel >= 4.54-0.9.24
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA stunnel
SUSE Linux Enterprise Server 11-SECURITY
  • stunnel-openssl1 >= 4.54-0.11.1
Patchnames:
SUSE Linux Enterprise Server 11-SECURITY GA stunnel-openssl1
SUSE Linux Enterprise Server 12
  • stunnel >= 5.00-1.19
Patchnames:
SUSE Linux Enterprise Server 12 GA stunnel
SUSE Linux Enterprise Server 12 SP1
  • stunnel >= 5.00-3.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA stunnel
SUSE Linux Enterprise Server 12 SP2
  • stunnel >= 5.00-3.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA stunnel
SUSE Linux Enterprise Server 12 SP3
  • stunnel >= 5.00-3.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA stunnel
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • stunnel >= 5.00-3.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA stunnel
SUSE Linux Enterprise Server for SAP Applications 11 SP2
  • stunnel >= 4.36-0.12.1
Patchnames:
slessp2-stunnel
SUSE Linux Enterprise Server for VMWare 11 SP2
  • stunnel >= 4.36-0.12.1
Patchnames:
slessp2-stunnel
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • stunnel >= 4.36-0.12.1
Builds
SAT Patch Nr: 7449
openSUSE Tumbleweed
  • stunnel >= 5.38-1.1
  • stunnel-doc >= 5.38-1.1
Patchnames:
openSUSE Tumbleweed GA stunnel


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Server 11 SP1 stunnel Released
SUSE Linux Enterprise Server 11 SP1 LTSS stunnel Released
SUSE Linux Enterprise Server 11 SP2 stunnel Released
SUSE Linux Enterprise Server 11 SP2 LTSS stunnel Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 stunnel Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 stunnel Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 stunnel Released
SUSE Linux Enterprise Server for VMWare 11 SP2 stunnel Released